pydo.registry.create()

Generated on 9 Jun 2026 from pydo version v0.36.0

deprecated

Usage

client.registry.create(
    body={
        "name": "example",
        "subscription_tier_slug": "basic",
        "region": "fra1",
    },
)
Returns JSONRaises HttpResponseError

Description

Note: This endpoint is deprecated. Please use the /v2/registries endpoint instead.

To create your container registry, send a POST request to /v2/registry.

The name becomes part of the URL for images stored in the registry. For example, if your registry is called example, an image in it will have the URL registry.digitalocean.com/example/image:tag.

Parameters

name string required

Example: example

A globally unique name for the container registry. Must be lowercase and be composed only of numbers, letters and -, up to a limit of 63 characters.

Max length: 63

subscription_tier_slug string required

The slug of the subscription tier to sign up for. Valid values can be retrieved using the options endpoint.

One of: starter, basic, professional

region string optional

Slug of the region where registry data is stored. When not provided, a region will be selected.

One of: nyc3, sfo3, ams3, sgp1, fra1

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "name": "example",
  "subscription_tier_slug": "basic",
  "region": "fra1"
}

resp = client.registry.create(body=req)

Response Example

Show Response Example
{
  "registry": {
    "name": "example",
    "created_at": "2020-03-21T16:02:37Z",
    "region": "fra1",
    "storage_usage_bytes": 29393920,
    "storage_usage_bytes_updated_at": "2020-11-04T21:39:49.530562231Z"
  }
}

More Information

See /v2/registry in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.